Elevation - Get Data For Polyline
Get Elevation Data Along a Polyline
Applies to: see pricing tiers.
The Get Data for Polyline API provides elevation data along a polyline.
A polyline is defined by passing in between 2 and N endpoint coordinates separated by a pipe ('|') character. In addition to passing in endpoints, customers can specify the number of sample points that will be used to divide polyline into equally spaced segments.
Elevation data at both start and endpoints, as well as equally spaced points along the polyline will be returned. The results will be listed in the direction from the first endpoint towards the last endpoint. A line between two endpoints is a straight Cartesian line, the shortest line between those two points in the coordinate reference system. Note that the point is chosen based on Euclidean distance and may markedly differ from the geodesic path along the curved surface of the reference ellipsoid.
GET https://atlas.microsoft.com/elevation/line/json?api-version=1.0&lines={lines}
GET https://atlas.microsoft.com/elevation/line/json?api-version=1.0&lines={lines}&samples={samples}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
format
|
path | True |
Desired format of the response. Only |
|
|
api-version
|
query | True |
|
Version number of Azure Maps API. |
|
lines
|
query | True |
|
The string representation of a polyline path. A polyline is defined by endpoint coordinates, with each endpoint separated by a pipe ('|') character. The polyline should be defined in the following format: The longitude and latitude values refer to the World Geodetic System (WGS84) coordinate reference system. The resolution of the data used to compute the elevation depends on the distance between the endpoints. |
|
samples
|
query |
|
The samples parameter specifies the number of equally spaced points at which elevation values should be provided along a polyline path. The number of samples should range from 2 to 2,000. Default value is 10. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-id |
|
Specifies which account is intended for usage in conjunction with the Azure AD security model. It represents a unique ID for the Azure Maps account and can be retrieved from the Azure Maps management plane Account API. To use Azure AD security in Azure Maps see the following articles for guidance. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
An unexpected error occurred. |
Security
AADToken
These are the Azure Active Directory OAuth2 Flows. When paired with Azure role-based access control it can be used to control access to Azure Maps REST APIs. Azure role-based access controls are used to designate access to one or more Azure Maps resource account or sub-resources. Any user, group, or service principal can be granted access via a built-in role or a custom role composed of one or more permissions to Azure Maps REST APIs.
To implement scenarios, we recommend viewing authentication concepts. In summary, this security definition provides a solution for modeling application(s) via objects capable of access control on specific APIs and scopes.
Notes
- This security definition requires the use of the
x-ms-client-idheader to indicate which Azure Maps resource the application is requesting access to. This can be acquired from the Maps management API.
The Authorization URL is specific to the Azure public cloud instance. Sovereign clouds have unique Authorization URLs and Azure Active directory configurations.
*
The Azure role-based access control is configured from the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
*
Usage of the Azure Maps Web SDK allows for configuration based setup of an application for multiple use cases.
- Currently, Azure Active Directory v1.0 or v2.0 supports Work, School, and Guests but does not support Personal accounts.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://atlas.microsoft.com/.default | https://atlas.microsoft.com/.default |
subscription-key
This is a shared key that is provisioned when creating an Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
With this key, any application is authorized to access all REST APIs. In other words, these can currently be treated as master keys to the account which they are issued for.
For publicly exposed applications, our recommendation is to use server-to-server access of Azure Maps REST APIs where this key can be securely stored.
Type:
apiKey
In:
query
SAS Token
This is a shared access signature token is created from the List SAS operation on the Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
With this token, any application is authorized to access with Azure role-based access controls and fine-grain control to the expiration, rate, and region(s) of use for the particular token. In other words, the SAS Token can be used to allow applications to control access in a more secured way than the shared key.
For publicly exposed applications, our recommendation is to configure a specific list of allowed origins on the Map account resource to limit rendering abuse and regularly renew the SAS Token.
Type:
apiKey
In:
header
Examples
Successfully retrieve elevation data along a polyline using get
Sample Request
GET https://atlas.microsoft.com/elevation/line/json?api-version=1.0&lines=-121.66853362143818, 46.84646479863713|-121.67853362143818, 46.85646479863713&samples=5
Sample Response
{
"data": [
{
"coordinate": {
"latitude": 46.84646479863713,
"longitude": -121.66853362143819
},
"elevationInMeter": 2298.6581875651746
},
{
"coordinate": {
"latitude": 46.84896479863713,
"longitude": -121.67103362143818
},
"elevationInMeter": 2466.405897695368
},
{
"coordinate": {
"latitude": 46.851464798637124,
"longitude": -121.67353362143818
},
"elevationInMeter": 2504.8855800948654
},
{
"coordinate": {
"latitude": 46.85396479863713,
"longitude": -121.67603362143818
},
"elevationInMeter": 2477.8929009638578
},
{
"coordinate": {
"latitude": 46.85646479863713,
"longitude": -121.67853362143818
},
"elevationInMeter": 2394.529007989706
}
]
}
Definitions
| Elevation |
The elevation data. |
|
Elevation |
The response from a successful Get Data for Bounding Box API. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Json |
Desired format of the response. Only |
|
Lat |
A location represented as a latitude and longitude. |
Elevation
The elevation data.
| Name | Type | Description |
|---|---|---|
| coordinate |
A location represented as a latitude and longitude. |
|
| elevationInMeter |
|
The elevation value in meters. |
ElevationResult
The response from a successful Get Data for Bounding Box API.
| Name | Type | Description |
|---|---|---|
| data |
The response for point/points elevation API. The result will be in same sequence of points listed in request. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
|
The additional info. |
| type |
|
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
|
The error code. |
| details |
The error details. |
|
| message |
|
The error message. |
| target |
|
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
JsonFormat
Desired format of the response. Only json format is supported.
| Name | Type | Description |
|---|---|---|
| json |
|
LatLongPair
A location represented as a latitude and longitude.
| Name | Type | Description |
|---|---|---|
| latitude |
|
Latitude property |
| longitude |
|
Longitude property |